#miDiv {
    height: 300px;
    background-color: lightgray;
    text-align: center;
    padding-top: 50px;
    font-size: 20px;
    border: 2px solid black;
}

.botones-fijos {
    position: fixed;
    bottom: 30px;
    left: 25px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    z-index: 1000; /* Se asegura de estar sobre el contenido */
    opacity: 0; /* Ocultos por defecto */
    pointer-events: none; /* No son clicables cuando están ocultos */
    transition: opacity 0.3s ease; /* Transición suave de visibilidad */
}

.botones-fijos.mostrar {
    opacity: 1; /* Mostrarlos */
    pointer-events: auto; /* Hacerlos clicables */
}

.botones-fijos button {
    padding: 10px;
    font-size: 16px;
    cursor: pointer;
    border: none;
    background-color: #a5915a;
    color: white;
    border-radius: 5px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease;
}

.botones-fijos button:hover {
    background-color: #2a2b2b;
}
